For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETList Numbers
      • POSTCreate Number
      • GETGet Messages
      • DELDelete Number
LogoLogo
HomeGet API key
API Referencenumbers

List Numbers

GET
https://api.agentphone.ai/v1/numbers
GET
/v1/numbers
1const url = 'https://api.agentphone.ai/v1/numbers';
2const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "data": [
3 {
4 "id": "string",
5 "phoneNumber": "string",
6 "country": "string",
7 "status": "string",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "type": "sms",
10 "agentId": "string"
11 }
12 ],
13 "hasMore": true,
14 "total": 1
15}
List all phone numbers for this account.
Was this page helpful?
Previous

Create Number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional<=100Defaults to 20
offsetintegerOptional>=0Defaults to 0

Response

Successful Response
datalist of objects
hasMoreboolean
totalinteger

Errors

422
Unprocessable Entity Error